GDB (xrefs)

Functions | Variables
tui-io.h File Reference

Go to the source code of this file.

## Functions
void | tui_puts (const char *)
void | tui_write (const char *buf, size_t length)
void | tui_setup_io (int mode)
void | tui_initialize_io (void)
int | tui_getc (FILE *)
void | tui_redisplay_readline (void)
char * | tui_expand_tabs (const char *, int)
int | key_is_start_sequence (int ch)
int | key_is_end_sequence (int ch)
int | key_is_backspace (int ch)
int | key_is_command_char (int ch)

## Variables
struct ui_out * | tui_out
cli_ui_out * | tui_old_uiout

## Function Documentation

## ◆ key_is_backspace()

int key_is_backspace | ( | int | ch | ) |

Definition at line 62 of file tui-io.c.

## ◆ key_is_command_char()

int key_is_command_char | ( | int | ch | ) |

## ◆ key_is_end_sequence()

int key_is_end_sequence | ( | int | ch | ) |

Definition at line 56 of file tui-io.c.

## ◆ key_is_start_sequence()

int key_is_start_sequence | ( | int | ch | ) |

Definition at line 50 of file tui-io.c.

Referenced by tui_getc().

## ◆ tui_expand_tabs()

char* tui_expand_tabs | ( | const char * | ,
|  | int |
| ) |  |

Definition at line 691 of file tui-io.c.

References string, and xmalloc().

Referenced by tui_register_format().

## ◆ tui_getc()

int tui_getc | ( | FILE * |  | ) |

Definition at line 603 of file tui-io.c.

References call_stdin_event_handler_again_p, ui::command_editing, current_ui, gdb_in_secondary_prompt_p(), key_is_start_sequence(), TUI_CMD_WIN, tui_dispatch_ctrl_char(), tui_putc(), and tui_readline_output().

Referenced by tui_setup_io().

## ◆ tui_initialize_io()

void tui_initialize_io | ( | void |  | ) |

Definition at line 560 of file tui-io.c.

References _, add_file_handler(), cli_out_new(), error(), gdb_pipe_cloexec(), gdb_stdout, tui_old_uiout, tui_out, tui_out_new(), tui_readline_output(), tui_readline_pipe, tui_rl_outstream, tui_stderr, and tui_stdout.

Referenced by tui_interp::init().

## ◆ tui_puts()

void tui_puts | ( | const char * |  | ) |

Definition at line 220 of file tui-io.c.

References do_tui_putc(), TUI_CMD_WIN, and update_cmdwin_start_line().

Referenced by tui_file::puts(), tui_mld_puts(), and tui_readline_output().

## ◆ tui_redisplay_readline()

void tui_redisplay_readline | ( | void |  | ) |

Definition at line 234 of file tui-io.c.

References CTRL_CHAR, current_ui, gdb_in_secondary_prompt_p(), TUI_CMD_WIN, tui_current_key_mode, TUI_ONE_COMMAND_MODE, tui_rl_saved_prompt, tui_set_key_mode(), and TUI_SINGLE_KEY_MODE.

Referenced by tui_rl_startup_hook(), and tui_setup_io().

## ◆ tui_setup_io()

void tui_setup_io | ( | int | mode | ) |

Definition at line 472 of file tui-io.c.

References current_uiout, gdb_assert, gdb_stderr, gdb_stdlog, gdb_stdout, gdb_stdtarg, gdb_stdtargerr, tui_deprep_terminal(), tui_getc(), tui_old_rl_deprep_terminal, tui_old_rl_display_matches_hook, tui_old_rl_echoing_p, tui_old_rl_getc_function, tui_old_rl_outstream, tui_old_rl_prep_terminal, tui_old_rl_redisplay_function, tui_old_stderr, tui_old_stdout, tui_old_uiout, tui_out, tui_prep_terminal(), tui_redisplay_readline(), tui_rl_display_match_list(), tui_rl_outstream, tui_stderr, and tui_stdout.

Referenced by tui_disable(), and tui_enable().

## ◆ tui_write()

void tui_write | ( | const char * | buf,
|  | size_t | length
| ) |  |

Definition at line 206 of file tui-io.c.

References do_tui_putc(), TUI_CMD_WIN, and update_cmdwin_start_line().

Referenced by tui_file::write().

## Variable Documentation

## ◆ tui_old_uiout

cli_ui_out* tui_old_uiout

Definition at line 118 of file tui-io.c.

Referenced by tui_interp::interp_ui_out(), tui_interp::resume(), tui_initialize_io(), and tui_setup_io().

## ◆ tui_out

struct ui_out* tui_out

Definition at line 113 of file tui-io.c.

Referenced by tui_interp::interp_ui_out(), tui_initialize_io(), and tui_setup_io().